#include "factory.h"


//the factory object containing all objects of our system
static Factory theFactory;


//all the getters
LED* l()
{
    return &theFactory.l_;
}
LED* l2(){
    return &theFactory.l2_;
}

LEDBlinker* lb() {
    return &theFactory.lb_;
}

LEDBlinker* lb2() {
    return &theFactory.lb2_;
}

//initialize all objects
void Factory_init()
{
    LED_init(l(),LID);
    LED_init(l2(),2);
    LED_initHW(l());
    LED_initHW(l2());
}

//connect objects if required
void Factory_build()
{

}

//start all state machines
void Factory_start() {
    LEDBlinker_startBehaviour(lb());
    LEDBlinker_startBehaviour(lb2());
}
