/* this is the Factory class */


#ifndef FACTORY_ONCE
#define FACTORY_ONCE

#include <stdint.h>
#include <stdbool.h>

#include "../../board/led/led.h"
#include "../ledblinker.h"
#define LID 5


struct Factory_
{
    LED l_;
    LED l2_;
    LEDBlinker lb_;
    LEDBlinker lb2_;
};


typedef struct Factory_ Factory;

void Factory_init();
void Factory_build();
void Factory_start();

//these are global getters for our objects
LED* l();
LED* l2(); 
LEDBlinker* lb();
LEDBlinker* lb2();

#endif