
#include "../mcc_generated_files/mcc.h"
#include "../board/led/led.h"
#include "../app/factory/factory.h"
#include "../xf/xf.h"

bool test(Event* ev);

bool test(Event* ev) {
    static bool on = true;
    if (on == true){
        LED_on(l());
        on  =  false;
    } else {
        LED_off(l());
        on = true;
    }
    POST(NULL,test, 2, 500, 0);
    return true;
}


void main(void)
{
    // Initialize the device
    SYSTEM_Initialize();
    
    // Enable the Global Interrupts
    INTERRUPT_GlobalInterruptEnable();
    //INTERRUPT_GlobalInterruptDisable();
    //INTERRUPT_PeripheralInterruptEnable();
    //INTERRUPT_PeripheralInterruptDisable();

    XF_init();

    Factory_init();
    Factory_build();
    Factory_start();
    
    TMR0_SetInterruptHandler(XF_decrementAndQueueTimers);
    
    
    while (1)
    {
        XF_executeOnce();
    }
}